Bug 5991 - ispell should provide /usr/bin/spell
: ispell should provide /usr/bin/spell
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ispell)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-29 17:55 by
Modified: 2009-05-10 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-29 17:55:07
Please add in Provides: of .spec file
Provides:	/usr/bin/spell
as aspell and enchant do.
because apt don't know it and installs enchant
when a program requires /usr/bin/spell. (which interfers with flyspell mode of
emacs)

update for master 2.4 would be appreciated.


Summary:	/usr/bin/spell provider of ispell
Name:		virtspell
Version:	0.1
Release:	vla0
License:	GPL
Group:		Text tools
Provides:	/usr/bin/spell
Requires:	ispell
BuildArch: noarch

%description
/usr/bin/spell provider

%build

%files

%changelog
* Thu Jan 27 2005 Igor Vlasenko <viy@altlinux.ru> 0.1-vla0
- build
------- Comment #1 From 2005-01-29 17:59:44 -------
I created virtual virtspell package
which fixed this problem  at home.

But I think ispell should provide /usr/bin/spell itself


------- Comment #2 From 2005-01-31 10:45:04 -------
хм, я конечно могу это сделать, но учитывая "...and installs enchant when a
program requires /usr/bin/spell. (which interfers with flyspell mode of
emacs)" могу сказать, что так и задумывалось, т.к. enchant является
"прослойкой", унифицирующей API, к любой другой системе проверки орфографии,
предпочтительно использовать именно его. подумываю как бы spell выкинуть из
aspell...
------- Comment #3 From 2005-02-03 13:59:12 -------
> могу сказать, что так и задумывалось, т.к. enchant является
"прослойкой", унифицирующей API, к любой другой системе проверки орфографии,
предпочтительно использовать именно его. подумываю как бы spell выкинуть из
aspell...

Тогда скажем по другому. 
я Вас запутал, т. к. смешал в кучу несколько проблем. 

1 проблема - я ее залил как отдельный bug#6016:

enchant-ispell script is not compatible with emacs flyspell mode
---------------------------
Loading flyspell...
Failed turning Flyspell mode on, ignoring: ispell exited with code 1
Loading flyspell...
Failed turning Flyspell mode off, ignoring: ispell exited with code 1
---------------------------

2 - я не могу корректно его (enchant) снести,
т. к. установленные программы требуют /usr/bin/spell

3 - ispell предоставляет /usr/bin/spell, но не декларирует это
(это, собственно и есть bug#5991)

4. если добавить Provides:    /usr/bin/spell
в ispell, то все заработает.

5. - Пожалейте пользователей emacs и Master 24. Им нужен flyspell mode.
удобно же!
------- Comment #4 From 2005-04-01 18:45:16 -------
ждём в сизифе alt6
------- Comment #5 From 2005-04-06 10:42:38 -------
в сизифе alt6